Bug 204152

Summary: Review Request: orca - Accessibility replacement for gnopernicus
Product: [Fedora] Fedora Reporter: John (J5) Palmieri <johnp>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, jkeck, notting, sundaram
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-09-27 13:30:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 188268    

Description John (J5) Palmieri 2006-08-25 17:28:59 EDT
Spec URL: http://people.redhat.com/johnp/files/orca/orca.spec
SRPM URL: http://people.redhat.com/johnp/files/orca/orca-0.9.0-1.src.rpm
Description: A flexible, scriptable, extensible screen reader for the GNOME platform that provides access via speech synthesis, braille, and magnification.

This is a 200%+ better accessibility library than gnopernicus of which it replaces and has been adopted upstream by GNOME to replace gnopernicus.
Comment 1 Matthias Clasen 2006-08-28 09:20:35 EDT
just to clarify: orca is replacing both gnopernicus and gnome-mag, right ?
Comment 2 John (J5) Palmieri 2006-08-28 11:53:18 EDT
Yes it does.  I need to add teh obsolete.
Comment 3 Jesse Keating 2006-08-28 14:53:22 EDT
NEEDSWORK:
- python_sitelib isn't used, don't define it.
- Requires:   python-abi = %(%{__python} -c "import sys ; print
sys.version[:3]") is no longer needed.  Automagically done.
- Summary could lose "Orca is a", and the period at the end.
- description should have 80char~ linefeeds
- Missing BR: perl(XML::Parser) gnome-python2-bonobo gettext
- Does orca provide a 'drop in replacement' for gnopernicus?  Should it
Provides: gnopernicus for upgrade paths?  (ditto gnome-mag)
- Group listed isn't a standard group from the RPM docs.
- Some of the BuildRequires lines have tabs, some have spaces.  Pick one (:
Comment 4 John (J5) Palmieri 2006-08-29 11:33:37 EDT
Spec URL: http://people.redhat.com/johnp/files/orca/orca.spec
SRPM URL: http://people.redhat.com/johnp/files/orca/orca-0.9.0-2.src.rpm

I changed the Groups tag but I belive there should be an accessability group as
it is an important segment that we must support.  Having the group makes our
support that much more visible
Comment 5 Jesse Keating 2006-08-29 12:08:39 EDT
Actually the Group tag is used by NOTHING.  Anaconda doesn't use it, pirut
doesn't use it, yum doesn't use it, etc...  It's actually on the chopping block
to go away.  Comps.xml is where the things get sorted into groups and presented
as such.

Hrm, looks like I missed it in the first review. Summary is more than 79 chars,
it needs to be shortened.  Could probably drop everything from 'for people' on,
and caps the first word.

Thats silly stuff you can fix once you import.  Approving.

I'm assuming that at the same time I should be blocking gnopernicus and
gnome-mag from the collection (and removing from comps if its there)?
Comment 6 John (J5) Palmieri 2006-08-29 12:13:05 EDT
Yes block away. 
Comment 7 Kevin Kofler 2006-09-03 12:44:14 EDT
> Actually the Group tag is used by NOTHING.

I think it is still used by apt-rpm and frontends (e.g. Synaptic).
Comment 8 Jesse Keating 2006-09-03 14:26:34 EDT
They should be fixed to not use it.  Its inconsistant, there is no real control
mechanism, there is no support for conditional includes (only include this
package if this other package has been selected), etc...  Consider it deprecated.
Comment 9 Rahul Sundaram 2006-09-27 13:30:52 EDT

This package has already been approved and imported into Fedora Core but this
review report has not been closed yet. Closing it now.